scala.tools.nsc.typechecker.TypeDiagnostics

# TyperDiagnostics

#### trait TyperDiagnostics extends AnyRef

Self Type
  Analyzer.Typer
Source
  TypeDiagnostics.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
BodyDuplicator, BodyDuplicator, Eraser, ImplicitSearch, TreeChecker, Typer, typer
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TyperDiagnostics
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Analyzer.TyperDiagnostics to any2stringadd[Analyzer.TyperDiagnostics] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Analyzer.TyperDiagnostics, B)

   Implicit information
     This member is added by an implicit conversion from Analyzer.TyperDiagnostics to ArrowAssoc[Analyzer.TyperDiagnostics] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### object checkDead

8. #### object checkUnused

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def cyclicReferenceMessage(sym: Global.Symbol, tree: Global.Tree): Option[String]

    Returns Some(msg) if the given tree is untyped apparently due to a cyclic reference, and None otherwise.

11. #### def ensuring(cond: (Analyzer.TyperDiagnostics) ⇒ Boolean, msg: ⇒ Any): Analyzer.TyperDiagnostics

    Implicit information
      This member is added by an implicit conversion from Analyzer.TyperDiagnostics to Ensuring[Analyzer.TyperDiagnostics] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (Analyzer.TyperDiagnostics) ⇒ Boolean): Analyzer.TyperDiagnostics

    Implicit information
      This member is added by an implicit conversion from Analyzer.TyperDiagnostics to Ensuring[Analyzer.TyperDiagnostics] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): Analyzer.TyperDiagnostics

    Implicit information
      This member is added by an implicit conversion from Analyzer.TyperDiagnostics to Ensuring[Analyzer.TyperDiagnostics] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): Analyzer.TyperDiagnostics

    Implicit information
      This member is added by an implicit conversion from Analyzer.TyperDiagnostics to Ensuring[Analyzer.TyperDiagnostics] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Analyzer.TyperDiagnostics to StringFormat[Analyzer.TyperDiagnostics] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def permanentlyHiddenWarning(pos: Global.Position, hidden: Global.Name, defn: Global.Symbol): Unit

26. #### def reportTypeError(context0: Analyzer.Context, pos: Global.Position, ex: Global.TypeError): Unit

    Report a type error.

    Report a type error.

    pos

      The position where to report the error

    ex

      The exception that caused the error

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### def warnTypeParameterShadow(tparams: List[Global.TypeDef], sym: Global.Symbol): Unit

33. #### def →[B](y: B): (Analyzer.TyperDiagnostics, B)

    Implicit information
      This member is added by an implicit conversion from Analyzer.TyperDiagnostics to ArrowAssoc[Analyzer.TyperDiagnostics] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Analyzer.TyperDiagnostics to any2stringadd[Analyzer.TyperDiagnostics]

### Inherited by implicit conversion StringFormat from Analyzer.TyperDiagnostics to StringFormat[Analyzer.TyperDiagnostics]

### Inherited by implicit conversion Ensuring from Analyzer.TyperDiagnostics to Ensuring[Analyzer.TyperDiagnostics]

### Inherited by implicit conversion ArrowAssoc from Analyzer.TyperDiagnostics to ArrowAssoc[Analyzer.TyperDiagnostics]

### Ungrouped